<ui:composition template="/WEB-INF/templates/layout.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://xmlns.jcp.org/jsf/core">
	
	<ui:param name="title" value="Projects" />
	
	<ui:define name="content">
		<div class="layout-wrapper">
			<div class="layout">
				<div class="content-header">
					<h1>Projects</h1>
					<p>You can see all the created projects here.</p>
				</div>
				<div class="p-grid">
					<ui:repeat var="p" value="#{projectList.projects}">
						<div class="p-col-12 p-md-6">
							<h:link outcome="project-details">
								<f:param name="projectName" value="#{p.name}" />
								<div class="card project-card">
									<div class="header">
										<h1>#{p.name}</h1>
									</div>
									<div class="description">
										<p>#{p.description}</p>
									</div>
									<div class="footer">
										<span class="progress-value">#{projectList.calcProgress(p.id)}%</span>
										<p:progressBar id="projectProgress" 
											value="#{projectList.calcProgress(p.id)}"  
											displayOnly="true" />
									</div>
								</div>
							</h:link>
						</div>
					</ui:repeat>
				</div>
			</div>
		</div>		
	</ui:define>

</ui:composition>